#
# spec file for package xorg-x11-libs (Version 7.2)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale gperf grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libexpat-devel libexpat1 libgcc42 libgcrypt libgomp42 libgpg-error libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libxml2 libxslt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions pkg-config popt rpm sed sysvinit tar texinfo timezone util-linux xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           xorg-x11-libs
BuildRequires:  fontconfig-devel freetype2-devel gperf libxslt pkgconfig xorg-x11-libICE-devel xorg-x11-libSM-devel xorg-x11-libX11-devel xorg-x11-libXau-devel xorg-x11-libXdmcp-devel xorg-x11-libXext-devel xorg-x11-libXfixes-devel xorg-x11-libXmu-devel xorg-x11-libXp-devel xorg-x11-libXpm-devel xorg-x11-libXprintUtil-devel xorg-x11-libXrender-devel xorg-x11-libXt-devel xorg-x11-libXv-devel xorg-x11-libfontenc-devel xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel
%ifarch ppc64 s390x x86_64
Provides:       libXaw.so.8()(64bit) libXaw.so.7()(64bit) libXaw.so.6()(64bit)
%else
Provides:       libXaw.so.8 libXaw.so.7 libXaw.so.6
%endif
Url:            http://xorg.freedesktop.org/
Version:        7.2
Release:        103.4
License:        X11/MIT
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          System/Libraries
Summary:        Remaining X.Org libraries
Source0:        libAppleWM-X11R7.0-1.0.0.tar.bz2
Source1:        libFS-X11R7.0-1.0.0.tar.bz2
Source2:        libWindowsWM-X11R7.0-1.0.0.tar.bz2
Source3:        libXScrnSaver-1.1.2.tar.bz2
Source4:        libXTrap-X11R7.0-1.0.0.tar.bz2
Source5:        libXaw-1.0.4.tar.bz2
Source6:        libXcomposite-0.4.0.tar.bz2
Source7:        libXcursor-1.1.9.tar.bz2
Source8:        libXdamage-1.1.1.tar.bz2
Source9:        libXevie-1.0.2.tar.bz2
Source10:       libXfont-1.3.1.tar.bz2
Source11:       libXfontcache-1.0.4.tar.bz2
Source12:       libXft-2.1.12.tar.bz2
Source13:       libXi-1.1.3.tar.bz2
Source14:       libXinerama-1.0.2.tar.bz2
Source15:       libXprintAppUtil-X11R7.0-1.0.1.tar.bz2
Source16:       libXrandr-1.2.2.tar.bz2
Source17:       libXtst-1.0.3.tar.bz2
Source18:       libXvMC-1.0.4.tar.bz2
Source19:       libXxf86dga-1.0.2.tar.bz2
Source20:       libXxf86misc-X11R7.1-1.0.1.tar.bz2
Source21:       libXxf86vm-X11R7.1-1.0.1.tar.bz2
Source22:       libdmx-X11R7.1-1.0.2.tar.bz2
Source23:       liblbxutil-X11R7.1-1.0.1.tar.bz2
Source24:       liboldX-X11R7.0-1.0.1.tar.bz2
Source25:       libxkbui-X11R7.1-1.0.2.tar.bz2
Source26:       xbitmaps-X11R7.0-1.0.1.tar.bz2
Source27:       libXres-1.0.3.tar.bz2
Source28:       libXft1-X11R6.9-1.2.tar.bz2
Source29:       libvnc-20070501.tar.bz2
Source30:       libXcliplist-20070501.tar.bz2
Source31:       xcb-util-0.2.tar.bz2
Source32:       pixman-0.9.5.tar.bz2
Source33:       libpciaccess-0.9.1.tar.bz2
Patch:          libXrandr.diff
Patch2:         libXft-2.1.7-lcd-filter-2.patch
Patch3:         p_xft_cjk.diff
Patch4:         p_xft_register.diff
Patch5:         libxkbui.diff
Patch10:        libXxf86misc-xcb.diff
Patch11:        pixman.diff
Patch327854:    libXfont-off_by_one.diff
Patch348296:    bug348296-pcf_font_parser-libXfont.diff

%description
This package contains the remaining X.Org libraries.



Authors:
--------
    
    Apple Computer Corporation
    Dave Lemke
    David Dawes
    Derek Wang
    Frank Giessler
    Jim Gettys
    Juliusz Chroboczek
    Jungshik Shin
    Keith Packard
    Kensuke Matsuzaki
    Marc La France
    Mark Leisher
    Noah Levitt
    Phil Karlton
    Ralf Habacker
    Shunsuke Akiyama
    Suhaib Siddiqi
    Susan Angebrandt

%debug_package
%package -n xorg-x11-devel
Summary:        Include Files and Libraries mandatory for X11 Development.
Group:          Development/Libraries/X11
Provides:       xorg-x11-compat70-devel xorg-x11-man XFree86-devel
Obsoletes:      xorg-x11-compat70-devel xorg-x11-man
Requires:       xorg-x11-proto-devel xorg-x11-xtrans-devel xorg-x11-libXau-devel xorg-x11-libXdmcp-devel xorg-x11-libX11-devel xorg-x11-libXext-devel xorg-x11-libXp-devel xorg-x11-libXpm-devel xorg-x11-libXrender-devel xorg-x11-libICE-devel xorg-x11-libSM-devel xorg-x11-libXt-devel xorg-x11-libXmu-devel xorg-x11-libXfixes-devel xorg-x11-libxkbfile-devel freetype2-devel fontconfig-devel xorg-x11-libs xorg-x11-util-devel xorg-x11-libfontenc-devel xorg-x11-libXv-devel xorg-x11-libXprintUtil-devel xorg-x11-fonts-devel pkgconfig
AutoReqProv:    on

%description -n xorg-x11-devel
This package contains all necessary include files and libraries needed
to develop X11 applications that require these.



Authors:
--------
    
    Apple Computer Corporation
    Dave Lemke
    David Dawes
    Derek Wang
    Frank Giessler
    Jim Gettys
    Juliusz Chroboczek
    Jungshik Shin
    Keith Packard
    Kensuke Matsuzaki
    Marc La France
    Mark Leisher
    Noah Levitt
    Phil Karlton
    Ralf Habacker
    Shunsuke Akiyama
    Suhaib Siddiqi
    Susan Angebrandt

%prep
%setup -T -c %{name}
for i in $RPM_SOURCE_DIR/*.tar.bz2; do tar xjf $i; done
pushd libXrandr-*
%patch
popd
pushd libXft-*/src
%if %suse_version > 1010
%patch2 -p1
%endif
%patch3 -p1
%patch4 -p3
popd
pushd libxkbui-*
%patch5
popd
pushd libXxf86misc-*
%patch10 -p0
popd
pushd pixman-*
mv pixman-1.pc.in pixman.pc.in
%patch11 -p0
popd
patch -d libXfont-* -p0 -s -i %PATCH327854
patch -d libXfont-* -p0 -s -i %PATCH348296

%build
for dir in libXft1-* xbitmaps-* $(ls | grep -v -e libXft1 -e xbitmaps); do
  pushd $dir
    option=""; echo $dir | grep -q libXvMC && option="--sysconfdir=/etc"
    case $dir in 
      libXft1-*) 
        xmkmf -a 
        ;;
      *) 
        echo $dir | grep -q -E "libvnc|libXcliplist|pixman" && autoreconf -fi
        ./configure CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
                    --enable-type1 \
                    --prefix=/usr \
                    --libdir=%{_libdir} \
                    --mandir=%{_mandir} ${option}
        ;;
    esac
    make
  popd
done

%install
for dir in xbitmaps-* $(ls | grep -v xbitmap); do
  pushd $dir
    make install DESTDIR=$RPM_BUILD_ROOT
  popd
done
/sbin/ldconfig -n $RPM_BUILD_ROOT/usr/%_lib
mkdir -p $RPM_BUILD_ROOT/usr/include/X11/pixmaps/

%clean
rm -rf "$RPM_BUILD_ROOT"

%post -p /sbin/ldconfig

%pre -n xorg-x11-devel
test -L usr/include/X11 && rm usr/include/X11
exit 0

%files
%defattr(-,root,root)
/usr/include/X11/bitmaps/
/usr/include/X11/pixmaps/
/usr/%{_lib}/*.so.*

%files -n xorg-x11-devel
%defattr(-,root,root)
/usr/bin/xft-config
/usr/include/*.h
/usr/include/X11/*.h
/usr/include/X11/Xaw/
/usr/include/X11/Xcursor/
/usr/include/X11/Xft/
/usr/include/X11/XprintAppUtil/
/usr/include/X11/extensions/*.h
/usr/include/X11/fonts/*.h
/usr/include/xcb/
/usr/%{_lib}/*.a
/usr/%{_lib}/*.la
/usr/%{_lib}/*.so
/usr/%{_lib}/pkgconfig/*.pc
/usr/share/aclocal/*.m4
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Wed Jan 02 2008 - sndirsch@suse.de
- bug348296-pcf_font_parser-libXfont.diff
  * PCF font parser vulnerability (Bug #348296)
* Tue Oct 02 2007 - sndirsch@suse.de
- libXfont-off_by_one.diff
  * prevent a one character overflow (Bug #327854)
* Thu Sep 06 2007 - sndirsch@suse.de
- pixman-0.9.5
  * Don't skip fbFetch/fbStore when PIXMAN_FB_ACCESSORS is enabled.
  * Remove redundant defines.
  * Remove unnecessary wrapping from fbFetch/fbStore.
  * One more minor wrapping fix
  * Fix typo AC_MAJOR -> PIXMAN_MAJOR
  * Update .pc file for library version name change.
  * Fix failure to set identity transform in pixman.
  * Add conjoint and disjoint operators to pixman.h
  * Remove trailing comma in enum
  * Add missing comma in enum
  * Set accessors for the destination image in composite-test.c
  * Add pixman_image_set_source_clipping()
  * Fix bug 12039, based on Chris Wilson's patch
  * rasterize traps that extend outside of the image bounds
  correctly
- libXi 1.1.3
  * The most important feature of this release is a set of locking
  fixes, which unbreak this library for threaded apps. The lock
  issues were exposed by libxcb.
- libXfont 1.3.1
  * This release fixes bugs in the catalogue dir support.
- libXrandr 1.2.2
  * This release fixes a protocol encode/decode copy'n'paste bug.
- libXxf86dga 1.0.2
  * This release fixes a sign-extension bug with nasty results on
  I32L64 platforms.
* Tue Aug 28 2007 - sndirsch@suse.de
- added libpciaccess (release 0.9.1)
* Mon Aug 27 2007 - sndirsch@suse.de
- libXcursor 1.1.9
  * Use cursorpath found by configure in man page
  * Add XCURSOR_PATH to man page
  * Make shadow man pages for each function
  * Store the cursor names in one large string.
* Fri Aug 24 2007 - sndirsch@suse.de
- libXaw 1.0.4
  * Use iswalnum() if it's present as a function, not just if it's
  [#]defined
  * Bug #11091: libXaw COPYING file
  * Bug #9649: Bad markup on XAw.3x
  * obsoletes bug233919-libXaw.diff
* Tue Aug 21 2007 - sndirsch@suse.de
- fixed build of libpixman
* Sat Aug 18 2007 - sndirsch@suse.de
- libXtst man pages generation fails if srcdir != builddir
* Wed Aug 08 2007 - sndirsch@suse.de
- pixman 0.9.4
  * This is the initial release of the pixman library. Pixman
  contains lowlevel pixel manipulation routines and is used by
  both xorg and cairo.
* Thu Aug 02 2007 - sndirsch@suse.de
- libXi 1.1.2
  * "Brown paper bag release, that actually lets
  DevicePresenceNotify work: cf.
  http://people.freedesktop.org/~daniels/devicemon.c."
* Thu Jul 05 2007 - sndirsch@suse.de
- libXi 1.1.1
  * DevicePresenceNotify: remove verbosity, fill out all fields
  * Makefile.am: make ChangeLog hook safer
  * Bug #8663: _XiCheckExtInit must drop the Display lock in all
  error cases.
  * Bug 9657: Bad markup on XGrabDeviceKey.3x
* Wed Jul 04 2007 - sndirsch@suse.de
- libXfont 1.3.0
  * Ok, here's another libXfont release.  There was a crasher where
  strstr would chase a NULL pointer if a symlink didn't have any
  attributes. This release fixes that, and in retrospect I
  declare the 1.2.9 release a beta release and am bumping the
  minor in with this release to indicate the new catalogue
  feature.
- libXcomposite 0.4.0
  * Follow composite protocol version to 0.4, although there is no
  ABI change.
* Thu Jun 07 2007 - sndirsch@suse.de
- updated libXtst to release 1.0.2
  * ANSIfy static function declarations (clears some lint warnings)
  * Coverity #578/579: Don't leak memory if one malloc fails but
  other succeeds
  * Add man pages for XTest*() functions
* Thu May 03 2007 - sndirsch@suse.de
- updated libXcomposite to release 0.3.2
  * No code changes since 0.3.1 - just adding a man page for the
  API.
* Tue May 01 2007 - sndirsch@suse.de
- updated libvnc/libXcliplist to current CVS (2007-05-01)
* Wed Apr 11 2007 - sndirsch@suse.de
- updated libXi to release 1.0.4
  * Don't call XInput_find_display in _XiGetExtensionVersion, while
  the Display lock is held.
- obsoletes libXi-20061015090357.diff
* Wed Apr 11 2007 - sndirsch@suse.de
- updated libXi to release 1.0.3
  * X.Org Bug #8663: _XiCheckExtInit must drop the Display lock in
  all error cases
- obsoletes libXi-20061119100426.diff
* Fri Apr 06 2007 - sndirsch@suse.de
- updated libXfont to release 1.2.8:
  * Actually use loadable font modules
  * Add #pragma weak for Sun cc where needed
  * added -flat_namespace to CFLAGS for Darwin
  * Integer overflow vulnerabilities
- obsoletes bug-247730-247732_libXfont.diff
* Mon Mar 26 2007 - sndirsch@suse.de
- bug-247730-247732_libXfont.diff:
  * X Window System Server fonts.dir File Parsing Integer Overflow
  Vulnerability / X Window System Server BDF Font Parsing Integer
  Overflow Vulnerability (Bugs #247730, #247732)
* Sat Mar 17 2007 - sndirsch@suse.de
- updated libXinerama to release 1.0.2
  * Add support for source code checkers such as sparse & lint
  * Clear sparse warnings & error
  * Remove unneeded #include of <stdio.h>
  * Add man page for Xinerama API functions
* Wed Mar 14 2007 - sndirsch@suse.de
- updated libXdamage to release 1.1.1
  * This release fixes the DSO versioning for the added ABI.
* Mon Mar 05 2007 - sndirsch@suse.de
- updated libXrandr to release 1.2.1
  * Fix the use of a C++ keyword as a parameter name in Xrandr.h
- obsoletes p_xrandr-headers.diff
* Sat Mar 03 2007 - sndirsch@suse.de
- added xcb-util 0.2:
  The xcb-util module provides a number of libraries which sit on
  top of libxcb, the core X protocol library, and some of the
  extension libraries. These experimental libraries provide
  convenience functions and interfaces which make the raw X
  protocol more usable. Some of the libraries also provide
  client-side code which is not strictly part of the X protocol but
  which have traditionally been provided by Xlib. These libraries
  are currently included, roughly ordered by maturity:
  * render-util: Convenience functions for the Render extension.
  * aux: Convenient access to connection setup and some core
  requests.
  * atom: Standard core X atom constants and atom caching.
  * property: Callback X property-change handling.
  * icccm: Both client and window-manager helpers for ICCCM.
  * keysyms: Standard X key constants and conversion to/from
  keycodes.
  * event: Callback X event handling.
  * image: Port of Xlib's XImage and XShmImage functions.
  * wm: Framework for window manager implementation.
* Thu Mar 01 2007 - sndirsch@suse.de
- libXxf86misc-xcb.diff:
  * added missing UnlockDisplay() calls
* Fri Feb 23 2007 - dmueller@suse.de
- p_xrandr-headers.diff:
  * delete is a keyword in non-C languages
* Fri Feb 23 2007 - sndirsch@suse.de
- libXrandr.diff:
  * fixes fatal warning
* Wed Feb 21 2007 - sndirsch@suse.de
- updated libXrandr to release 1.2.0
  * Merge branch 'randr-1.2'
  * Add support for various output property requests.
  * Return the right actual property type for XRRGetOutputProperty.
  * Return a valid property info even if we lack valid value sets.
  * Start update to 1.2, splitting code across multiple files.
  * XRRGetScreenSizeRange returns Status. Lots more requests added.
  * Add mode origins and output options.
  * Remove mode origins. Add preferred mode count.
  * Moving physical size from mode to output.
  * Remove RandR output options.
  * Change properties to have a pending value and report valid values.
  * Add initial implementation of crtc gamma and mode adding requests.
  * Failed to copy rotations from reply to XRRCrtcInfo.
  * Avoid nested LockDisplay calls.
  * Fix read sizes for 64-bit machines.
  * Merge 64-bit fixes in
  * Must pass size information in SetCrtcGamma request.
  * Reset version from 1.2.0.0 to 1.2.0
* Tue Jan 23 2007 - sndirsch@suse.de
- bug233919-libXaw.diff:
  * fixes buffer overflow in xedit (Bug #233919)
* Tue Jan 23 2007 - sndirsch@suse.de
- updated libXfont to release 1.2.7
  * fontfile: accept empty (but valid) font paths (bug #3091)
  * Add stubs for the scalable renderer callbacks.
* Fri Jan 12 2007 - sndirsch@suse.de
- added libvnc/libXcliplist from xf4vnc project
* Thu Jan 11 2007 - sndirsch@suse.de
- updated libXdamage to release 1.1
  * adds the interface to the new DamageAdd request
* Thu Jan 04 2007 - sndirsch@suse.de
- updated libXaw to release 1.0.3
  * Fix configure option --disable-xaw6 to not break builds of xaw7
  or xaw8 & rebuild with latest autoconf/automake/xorg-macros.
* Wed Dec 27 2006 - sndirsch@suse.de
- set sysconfdir appropriate (Bug #230714)
* Wed Dec 20 2006 - sndirsch@suse.de
- libXi-20061015090357.diff:
  * Don't call XInput_find_display in _XiGetExtensionVersion,
  while the Display lock is held (X.Org Bug #8581/9392)
- libXi-20061119100426.diff:
  * _XiCheckExtInit must drop the Display lock in all
  error cases (X.Org Bug #8663)
* Sun Dec 17 2006 - sndirsch@suse.de
- updated libXScrnSaver to release 1.1.2
  * Makefile.am: make ChangeLog hook safer
- updated libXfont to release 1.2.6
  * Makefile.am: make ChangeLog hook safer
  * don't distribute fontconf.h
  * build Type1 by default
- updated libXfontcache to release 1.0.4
  * Makefile.am: make ChangeLog hook safer
- updated libXres to release 1.0.3
  * Makefile.am: make ChangeLog hook as safe as possible
- updated libXvMC to release 1.0.4
  * Makefile.am: make ChangeLog hook safer
* Sat Dec 09 2006 - sndirsch@suse.de
- updated libXft to release 2.1.12
  * XftNameUnparse: re-export to public API (bug #8900)
* Sun Dec 03 2006 - sndirsch@suse.de
- moved libxcb to seperate package (xorg-x11-libxcb)
- updated libXfont to release 1.2.5
  * remove CID font support (bug #5553)
* Mon Nov 27 2006 - dmueller@suse.de
- reduce p_xft_cjk.diff to only disable antialiasing on
  fonts with embedded bitmaps (Bug #223682)
* Fri Nov 10 2006 - sndirsch@suse.de
- fixed typo in libxkbui (Bug #219732)
* Wed Nov 08 2006 - sndirsch@suse.de
- updated libXdamage to release 1.0.4 (X.Org 7.2 RC2)
  * Remove incorrect UnlockDisplay and SyncHandle from
  XDamageQueryVersion
- updated libXi to release 1.0.2 (X.Org 7.2 RC2)
  * fix indentation on function declarations
  * Don't call XInput_find_display in _XiCheckExtInit, while the
  Display lock is held.
* Fri Nov 03 2006 - sndirsch@suse.de
- updated optional libxcb to release 1.0 RC3 (0.9.93)
* Fri Oct 20 2006 - mfabian@suse.de
- Bugzilla 213320: add lcd-filter-2 patch from David Turner, see
  http://lists.gnu.org/archive/html/freetype/2006-09/msg00083.html
  http://david.freetype.org/lcd/libXft-2.1.7-lcd-filter-2.patch
  (This patch is needed for freetype >= 2.2.2).
* Mon Oct 16 2006 - sndirsch@suse.de
- added optional libxcb
* Sat Oct 14 2006 - sndirsch@suse.de
- package update to X.Org 7.2RC1
  * libXevie-1.0.2
  * libXfontcache-1.0.3
  * libXres-1.0.2
  * libXfont-1.2.3
  * libXcomposite-0.3.1
  * libXcursor-1.1.8
  * libXrandr-1.1.2
  * libXScrnSaver-1.1.1
  * libXft-2.1.11
* Mon Oct 09 2006 - sndirsch@suse.de
- updated to libXvMC 1.0.3:
  * Minor cleanup release - just some sparse warning cleanups, and
  adding autoconf check to enable shmat() code (missed in
  original conversion from Imake).
* Tue Sep 12 2006 - sndirsch@suse.de
- updated libXfont to release 1.2.2
  * Fixes for integer overflows in CID encoded fonts parsing
  reported by iDefense
  * More check on PCF file reading. Bugzilla #7535
  * use OpenBitmap when available
  * move builtin fonts to gzip
  * Bug #7397: Fix a buffer overflow in Freetype font support.
  * obsoletes libXfont-pcfread.diff
* Thu Aug 31 2006 - sndirsch@suse.de
- fixed libXaw Provides for 64bit (Bug #198461)
* Sat Aug 12 2006 - sndirsch@suse.de
- added libXft1 (Bug #198432)
* Sat Aug 05 2006 - sndirsch@suse.de
- p_xft_cjk.diff:
  * adds fake bold support to Xft library (Bug #38202)
- p_xft_register.diff:
  * new fontconfig objects needs to be registered first (Bug #141216)
* Wed Aug 02 2006 - sndirsch@suse.de
- added /usr/include/X11/pixmaps/ to filelist
* Mon Jul 31 2006 - sndirsch@suse.de
- moved bitmap directory from -devel to main package
* Fri Jul 28 2006 - sndirsch@suse.de
- use "-fno-strict-aliasing"
* Thu Jul 27 2006 - sndirsch@suse.de
- use $RPM_OPT_FLAGS
- remove existing /usr/include/X11 symlink in %%pre
* Wed Jul 26 2006 - sndirsch@suse.de
- libXfont-pcfread.diff:
  * handle malformed pcf files (Bug #192095)
* Fri Jun 23 2006 - sndirsch@suse.de
- created package
